Package com.google.android.exoplayer2.source.smoothstreaming

## Interface SsChunkSource.Factory

- All Known Implementing Classes:
    `DefaultSsChunkSource.Factory`
  Enclosing interface:
    SsChunkSource

      public static interface SsChunkSource.Factory

  Factory for `SsChunkSource`s.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SsChunkSource` | `createChunkSource​(LoaderErrorThrower manifestLoaderErrorThrower, SsManifest manifest, int streamElementIndex, ExoTrackSelection trackSelection, TransferListener transferListener)` | Creates a new `SsChunkSource`.

- - ### Method Detail

    - #### createChunkSource

          SsChunkSource createChunkSource​(LoaderErrorThrower manifestLoaderErrorThrower,
                                          SsManifest manifest,
                                          int streamElementIndex,
                                          ExoTrackSelection trackSelection,
                                          @Nullable
                                          TransferListener transferListener)

      Creates a new `SsChunkSource`.
      Parameters:
        `manifestLoaderErrorThrower` - Throws errors affecting loading of manifests.
        `manifest` - The initial manifest.
        `streamElementIndex` - The index of the corresponding stream element in the manifest.
        `trackSelection` - The track selection.
        `transferListener` - The transfer listener which should be informed of any data transfers. May be null if no listener is available.
      Returns:
        The created `SsChunkSource`.